from django.urls import path, include
from django.contrib.auth import views as auth_views
from .views import (
    home, about, signup, onboarding, settings_view, 
    get_started, inbox, chat_detail, 
    profile_view, profile_detail, edit_profile,
    create_post, delete_post, add_comment, toggle_reaction, hide_post, toggle_follow
)

urlpatterns = [
    path("", home, name="home"),
    path("about/", about, name="about"),
    path("signup/", signup, name="signup"),
    path("onboarding/", onboarding, name="onboarding"),
    path("settings/", settings_view, name="settings"),
    path("get-started/", get_started, name="get_started"),
    path("messages/", inbox, name="inbox"),
    path("messages/<str:username>/", chat_detail, name="chat_detail"),
    path("profile/", profile_view, name="my_profile"),
    path("profile/edit/", edit_profile, name="edit_profile"),
    path("profile/<str:username>/", profile_detail, name="profile_detail"),
    path("profile/<str:username>/follow/", toggle_follow, name="toggle_follow"),
    
    # Social URLs
    path("post/create/", create_post, name="create_post"),
    path("post/<int:post_id>/delete/", delete_post, name="delete_post"),
    path("post/<int:post_id>/comment/", add_comment, name="add_comment"),
    path("post/<int:post_id>/react/", toggle_reaction, name="toggle_reaction"),
    path("post/<int:post_id>/hide/", hide_post, name="hide_post"),
    
    # Auth URLs
    path("accounts/", include("django.contrib.auth.urls")),
]
